//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace Platform.Model
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel.DataAnnotations;
    using System.ComponentModel.DataAnnotations.Schema;

    [Table("ChungTuDatHang")]
    public partial class ChungTuDatHang
    {
        
        [Key]

        public string MaChungTuDatHang { get; set; }
        public string MaKhachHang { get; set; }
        public string DienGiai { get; set; }
        public string MaSoNhanVien { get; set; }
        public Nullable<System.DateTime> NgayHoachToan { get; set; }
        public Nullable<System.DateTime> NgayChungTu { get; set; }
        public Nullable<int> MaDieuKhoan { get; set; }
        public Nullable<double> SoNgayDuocNo { get; set; }
        public Nullable<System.DateTime> HanThanhToan { get; set; }
        public Nullable<int> MaLoaiTien { get; set; }
        public Nullable<double> TyGia { get; set; }
        public Nullable<double> TongTienHang { get; set; }
        public Nullable<double> TienThueGTGT { get; set; }
        public Nullable<double> TienChietKhau { get; set; }
        public Nullable<double> TongTienThanhToan { get; set; }
        public Nullable<double> SoTienDaTra { get; set; }
        public Nullable<bool> DaGhiSo { get; set; }
        public string MaSoBaoGia { get; set; }
        public string MaPhieuMoi { get; set; }
        public string MaPhieuGoc { get; set; }
        public string NhanVienThayDoi { get; set; }
        public string CoSoThayDoi { get; set; }
        public Nullable<bool> DaThayDoi { get; set; }
        public Nullable<DateTime> NgayThayDoi { get; set; }
        public Nullable<bool> DaThanhToan { get; set; }
        public string MaKenhBanHang { get; set; }
        public int? MaHinhThucThanhToan { get; set; }
        public int MaTinhTrang { get; set; }
        public Nullable<DateTime> ThoiGianMuonNhanHang { get; set; }
        public Nullable<bool> IsViewed { get; set; }

        public Nullable<double> TongTienKhuyenMai { get; set; }
        public Nullable<double> TienThuHienTai { get; set; }
        public Nullable<double> TyLeChietKhauHoaDon { get; set; }
        public string ChungTuThamChieu { get; set; }

    }
}
